<div class="row">
  <div class="col-lg-12">

    <ol class="breadcrumb">
      <li class="breadcrumb-item">
        <a routerLink="/" routerLinkActive="active">Tableau de Bord</a>
      </li>
      <li class="breadcrumb-item active">Clients</li>    </ol>
  </div>

</div>

<div class="row">
  <div class="col-md-6">
<div class="card mb-3">
  <div class="card-header">Register an Account</div>
  <div class="card-body">
    <form #heroForm="ngForm" (ngSubmit)="saveClient()">
      <div class="form-group">
        <div class="form-row">
          <div class="col-md-6">
            <label>Nom du Client</label>
            <input class="form-control" name="nameClient"  type="text" placeholder="Nom du Client" [(ngModel)]="client.nameClient">
          </div>
          <div class="col-md-6">
            <label>Autre information</label>
            <input class="form-control" name="1" type="text"  placeholder="Autre information">
          </div>
        </div>
      </div>
      <div class="form-group">
        <label>Adresse du Client</label>
        <input class="form-control" name="coordinateClient.adresse" type="text" placeholder="Adresse" [(ngModel)]="client.coordinateClient.adresse">
      </div>
      <div class="form-group">
        <div class="form-row">
          <div class="col-md-6">
            <label>Latitude</label>
            <input class="form-control" name="coordinateClient.latitude" type="text" placeholder="Latitude" [(ngModel)]="client.coordinateClient.latitude">
          </div>
          <div class="col-md-6">
            <label>Longitude</label>
            <input class="form-control" name="coordinateClient.longitude" type="text" placeholder="Longitude" [(ngModel)]="client.coordinateClient.longitude">
          </div>
        </div>
      </div>
      <input type="submit" class="btn btn-primary btn-block" value="Enregistrer">
    </form>
  </div>
</div>
  </div>

  <div class="col-md-6">
<div class="card">
  <agm-map [zoom]="12" [latitude]="client.coordinateClient.latitude" [longitude]="client.coordinateClient.longitude" style="height:400px;width: 100%;" (mapClick)="clientLocation($event)" >
    <agm-marker [latitude]="client.coordinateClient.latitude" [longitude]="client.coordinateClient.longitude" *ngIf="bol">
      <agm-info-window>{{client.nameClient}}</agm-info-window>
    </agm-marker>

  </agm-map>
</div>
  </div>

</div>
